*{
    margin: 0;
    padding: 0;
}

/* Set variables */
:root {
    --font-size-1: 2.5rem;
    --font-size-2: 2rem;
    --font-size-3: 1.65rem;
    --font-size-4: 1.5rem;

    --font-size-small: 1.2rem;
    --font-size-xsmall: 1rem;

}

nav{
    height: 50px;
    background: #000;
    background-image: linear-gradient(to right, #1a1024 , #30114f);
}

nav span{
    font-size: var(--font-size-2);
    position: absolute;
    width: 200px;
    top: 5px;
    left: 5%;
    color: #FFF;
    text-transform: uppercase;
}

nav ul{
    float: right;
    margin-right: 25px;
    list-style: none;
}

nav li{
    display: inline-block;
    line-height: 50px;
    margin: 0 15px;
}

nav ul li a{
    position: relative;
    padding: 5px 0;
    bottom: 16px;
    color: #FFF;
    font-size: var(--font-size-3);
    text-decoration: none;
}

#sign-one{
    font-size: var(--font-size-2);
    color: #FFF;
    float: right;
    line-height: 50px;
    margin-right: 30px;
    cursor: pointer;
    display: none;
}

#sign-two{
    font-size: var(--font-size-2);
    color: #FFF;
    float: right;
    line-height: 50px;
    margin-right: 30px;
    cursor: pointer;
    display: none;
}

#res-menu{
    display: none;
}

@media only screen and (max-width: 750px) /* Small screens */
{
    label #sign-one{
        display: block;
    }
    nav ul{
        position: fixed;
        width: 100%;
        height: 100vh;
        background: #000;
        top: 30px;
        left: -100%;
        text-align: center;
        transition: .6s;
        z-index: 10;
    }
    nav ul li{
        display: block;
        margin: 40px 0;
        line-height: 30px;
    }
    nav ul li a{
        font-size: var(--font-size-2);
    }
    #res-menu:checked ~ ul{
        left: 0;
    }
    #res-menu:checked ~ label #sign-one{
        display: none;
    }
    #res-menu:checked ~ label #sign-two{
        display: block
    }
}
